umbrello: CsCodeExample.ComplexNumber Class Reference

umbrello 25.08.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Static Public Member Functions | Static Protected Attributes | Properties | Private Attributes | List of all members
CsCodeExample.ComplexNumber Class Reference
Inheritance diagram for CsCodeExample.ComplexNumber:

## Public Member Functions
| ComplexNumber ()
| ComplexNumber (double real, double imag=0)
ComplexNumber | Add (ComplexNumber input)
ComplexNumber | Subtract (ComplexNumber input)
ComplexNumber | Multiply (ComplexNumber input)
ComplexNumber | Divide (ComplexNumber input)
double | Modul ()
ComplexNumber | Pow (int n)
List< ComplexNumber > | Nroot (int n)
override string | ToString ()
string | ToCSV ()
virtual string | ToDiffString ()

## Static Public Member Functions
static ComplexNumber | Add (ComplexNumber a, ComplexNumber b)
static string | GetDescription ()

## Static Protected Attributes
const double | PI = 3.14

## Properties
double | Real`[get, set]`
double | Imag`[get, set]`
static string | Format`[get]`

## Private Attributes
double | real

## Constructor & Destructor Documentation

## ◆ ComplexNumber() [1/2]

CsCodeExample.ComplexNumber.ComplexNumber | ( |  | ) |
| inline

## ◆ ComplexNumber() [2/2]

CsCodeExample.ComplexNumber.ComplexNumber | ( | double | real,
|  | double | imag = 0 )
| inline

## Member Function Documentation

## ◆ Add() [1/2]

ComplexNumber CsCodeExample.ComplexNumber.Add | ( | ComplexNumber | a,
|  | ComplexNumber | b )
| inlinestatic

## ◆ Add() [2/2]

ComplexNumber CsCodeExample.ComplexNumber.Add | ( | ComplexNumber | input | ) |
| inline

## ◆ Divide()

ComplexNumber CsCodeExample.ComplexNumber.Divide | ( | ComplexNumber | input | ) |
| inline

## ◆ GetDescription()

string CsCodeExample.ComplexNumber.GetDescription | ( |  | ) |
| inlinestatic

## ◆ Modul()

double CsCodeExample.ComplexNumber.Modul | ( |  | ) |
| inline

## ◆ Multiply()

ComplexNumber CsCodeExample.ComplexNumber.Multiply | ( | ComplexNumber | input | ) |
| inline

## ◆ Nroot()

List< ComplexNumber > CsCodeExample.ComplexNumber.Nroot | ( | int | n | ) |
| inline

## ◆ Pow()

ComplexNumber CsCodeExample.ComplexNumber.Pow | ( | int | n | ) |
| inline

## ◆ Subtract()

ComplexNumber CsCodeExample.ComplexNumber.Subtract | ( | ComplexNumber | input | ) |
| inline

## ◆ ToCSV()

string CsCodeExample.ComplexNumber.ToCSV | ( |  | ) |
| inline

## ◆ ToDiffString()

virtual string CsCodeExample.ComplexNumber.ToDiffString | ( |  | ) |
| inlinevirtual

Reimplemented in CsCodeExample.MoreComplexNumber.

## ◆ ToString()

override string CsCodeExample.ComplexNumber.ToString | ( |  | ) |
| inline

## Member Data Documentation

## ◆ PI

const double CsCodeExample.ComplexNumber.PI = 3.14
| staticprotected

## ◆ real

double CsCodeExample.ComplexNumber.real
| private

## Property Documentation

## ◆ Format

string CsCodeExample.ComplexNumber.Format
| staticget

## ◆ Imag

double CsCodeExample.ComplexNumber.Imag
| getset

## ◆ Real

double CsCodeExample.ComplexNumber.Real
| getset

The documentation for this class was generated from the following file:

- test/import/csharp/CsCodeExample-ClassExample/ComplexNumber.cs